Update Certificate
Updates a certificate
The Id of the certificate to be updated
{
"certificate": "string",
"private_key": "string",
"chain": "string"
}
The PEM encoded certificate string
The PEM encoded private key string
The PEM encoded chain of trusted root CA certificate string
Request to update certificate accepted
{
"id": "string",
"name": "string",
"status": "SUCCESS",
"error_message": "certificate update failed",
"failed_nodes": [
{
"id": "string",
"entity_type": "string",
"node_type": "string",
"node_id": "string",
"ip_address": "string",
"ipv6_address": "string",
"name": "string",
"is_physical_flow_collector": false,
"sddc_details": {
"sddc_id": "string",
"org_id": "string",
"aap_id": "string"
},
"version": "string",
"health": {
"health_status": "HEALTH",
"health_details": [
{
"message": "Invalid credentials",
"code": "string"
}
]
},
"registered_timestamp": 0,
"last_updated_timestamp": 0
}
],
"updated_nodes": [
{
"id": "string",
"entity_type": "string",
"node_type": "string",
"node_id": "string",
"ip_address": "string",
"ipv6_address": "string",
"name": "string",
"is_physical_flow_collector": false,
"sddc_details": {
"sddc_id": "string",
"org_id": "string",
"aap_id": "string"
},
"version": "string",
"health": {
"health_status": "HEALTH",
"health_details": [
{
"message": "Invalid credentials",
"code": "string"
}
]
},
"registered_timestamp": 0,
"last_updated_timestamp": 0
}
],
"last_modified_by_user": "[email protected]",
"last_modified_time": 0
}
Certificate update id
Name of certificate such as proxy_register.crt or client.crt
certificate update status
Error message if update request failed
List of the nodes for which certificate update failed
List of the nodes for which certificate update was success
The last modified user
The last modified time for the certificate
Bad Request
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
code
message
details
Unauthorized
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
code
message
details
Forbidden
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
code
message
details
Conflict
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
code
message
details
Internal error
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
code
message
details
curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/api/ni/settings/certificates/{id}